> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction and authorization given transactionId

> This operation will respond with a transaction given transactionId.



## OpenAPI

````yaml transaction get /v3/{id}
openapi: 3.0.3
info:
  description: |
    Endpoints for managing transaction data
  version: '1'
  title: Transaction details API
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: https://developer.enfuce.com/images/enfuce.svg
    altText: Enfuce logo
servers:
  - url: >-
      https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/transaction
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/transaction
    description: Live environment
security: []
tags:
  - name: Create transactions
    description: >-
      <p>Endpoints for creating transactions</p><h2>Generic Fee Reimbursement
      transaction types</h2><p>For this case reimbursement is not linked to
      specific charged fee and amount of reimbursement should be provided.
      Generic reimbursement transaction types can be used to reimburse one or
      several fees.</p><p>There is a possibility to create reimbursement on
      account or on card level.</p><p>To create reimbursement on account level
      please POST transaction to given account with &quot;AR&quot; as type
      parameter.</p><p>To create reimbursement on card level please POST
      transaction to given card with &quot;RR&quot; as type parameter.</p><p>On
      account level there also supported interest reimbursement transactions
      with “IR” and “OR” types.</p>
  - name: Create fees
    description: <p>Endpoints for creating fees</p>
  - name: Get transaction data
    description: Endpoints for fetching transaction data
  - name: Update a transaction
    description: >-
      <p>Endpoint for updating a transaction.</p><p>This service enables refund
      of transactions including fees.</p><h2>Reversal of previously posted
      transaction</h2><p>This use case allows to link reimbursement with
      previously posted transaction, including fees.</p><p>To create this type
      of refund please use POST &quot;Update a Transaction&quot; endpoint and as
      &quot;id&quot; parameter please provide id of the transaction which should
      be reversed, and in &quot;propertyToUpdate&quot; please provide
      &quot;REVERSE&quot; value. Id can be found with &quot;Get
      transaction&quot; endpoints under &quot;id&quot; parameter of
      transaction.</p>
  - name: Batch payment
    description: |
      Batch file for payments.
      ### File name standard
      `payment_{institution_id}_yyyymmdd_hhmmss.json`
      ### File structure
      <SchemaDefinition schemaRef="#/components/schemas/BatchPayments" />
      ### Response file
  - name: Authorization Holds
    description: Endpoints for creating, reversing and clearing of authorization holds
paths:
  /v3/{id}:
    get:
      tags:
        - Get transaction data
      summary: Get transaction and authorization given transactionId
      description: This operation will respond with a transaction given transactionId.
      operationId: getTransactionUsingGET
      parameters:
        - name: id
          in: path
          description: The transaction id for given transaction
          required: true
          schema:
            type: string
            format: biginteger
        - name: auditUser
          in: query
          description: The audit user to log the request
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful lookup of the transaction
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/transactionResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '404':
          description: Transaction does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
      deprecated: false
components:
  schemas:
    transactionResponse:
      allOf:
        - $ref: '#/components/schemas/listTransactionResponse'
        - properties:
            accountId:
              type: string
              description: AccountId transaction is posted to
            cardId:
              type: string
              description: If transaction is posted to a card then this cardId will be set
            lineItems:
              type: array
              items:
                $ref: '#/components/schemas/lineItems'
              title: transactionResponse
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaining the error reason
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occurred
    listTransactionResponse:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/id'
        linkId:
          $ref: '#/components/schemas/linkId'
        transactionDate:
          $ref: '#/components/schemas/transactionDate'
        postingDate:
          $ref: '#/components/schemas/postingDate'
        postingStatus:
          $ref: '#/components/schemas/postingStatus'
        responseCode:
          $ref: '#/components/schemas/responseCode'
        responseDescription:
          type: string
          example: 061-Usage Limit "24H_RETAIL" Amount Exceeded
          description: >
            When a payment is declined, a response description is returned, if
            available, providing more context on why the transaction failed.
            This includes a return code and a brief explanation. If multiple
            issues cause the decline, only one response description is sent,
            prioritized as the most relevant for the decline.  Refer to our
            [service
            description](https://docs.enfuce.com/guides/the-essentials/global-processing/authorisation-and-authentication-of-payments#understanding-payment-declines)
            for the list of most relevant response descriptions and their usage
            details.
        transactionType:
          $ref: '#/components/schemas/transactionType'
        transactionConditionCode:
          type: string
          example: ATM
          description: >
            Transaction conditions define the specific circumstances under which
            a card transaction occurred. For example, they describe whether the
            chip was read or if the transaction was contactless, how the
            cardholder was authenticated, and whether the transaction was
            e-commerce or card-present. 

            For more information, see our [Transaction Conditions Service
            Description](https://docs.enfuce.com/guides/the-essentials/global-processing/transaction-conditions).
        retrievalReferenceNumber:
          type: string
          description: Retrieval reference number
        authorizationCode:
          type: string
          description: Authorization code
        acquiringInstitutionIdentificationCode:
          $ref: '#/components/schemas/acquiringInstitutionIdentificationCode'
        cardAcceptorIdentificationCode:
          type: string
          description: Card Acceptor Identification Code
        terminalId:
          type: string
          description: >-
            For authorizations and clearings, this is a unique alphanumeric
            identifier (typically up to 8–16 characters) used to distinguish a
            specific physical or virtual payment device, such as a POS machine
            or ATM, from all others. For other transactions, this refers to the
            originating source or channel
        submerchantId:
          type: string
          description: >-
            Related to cardAcceptorIdentificationCode, represents sub card
            acceptor
        settlementAmount:
          $ref: '#/components/schemas/settlementAmount'
        transactionAmount:
          $ref: '#/components/schemas/money'
        feeAmount:
          description: Summed up other fees
          type: object
          properties:
            amount:
              type: number
              example: 3.14
            currency:
              $ref: '#/components/schemas/currency'
        merchant:
          $ref: '#/components/schemas/merchant'
        text:
          $ref: '#/components/schemas/text'
        paymentReference:
          type: string
          description: Reference number used for the transaction
        payerName:
          type: string
          description: First and last name of payer
        paymentReceiver:
          type: string
          description: Payment receiver name
        fromAddress:
          type: string
          description: Address of payer
        fromZip:
          type: string
          description: Zip code of payer
        fromCity:
          type: string
          description: City of payer
        fromBankAccountNumber:
          type: string
          description: Source account number
        toBankAccountNumber:
          type: string
          description: Target account number
        fromCustomerAccountNumber:
          type: string
          description: from the Enfuce system, where the payment was posted
        fromOrganizationalNumber:
          type: string
          description: Send organization number
        fromBankName:
          type: string
          description: Source bank name
        fromBankAccountType:
          $ref: '#/components/schemas/bankAccountType'
        toBankAccountType:
          $ref: '#/components/schemas/bankAccountType'
        toBic:
          type: string
          description: Target BIC code, used for pain file generation
        discLinkTransactionId:
          type: string
          description: >-
            The transactionId of the original financial transaction of this
            discount
        createdAt:
          $ref: '#/components/schemas/createdAt'
        fileName:
          type: string
          description: Name of processed file, typically for managing incoming payments.
        processedByEnfuceStip:
          type: boolean
          description: >-
            For authorizations, indicates whether authorization was processed by
            Enfuce STIP or not.
        receivedFromCollectionAgency:
          type: boolean
          description: >-
            Whether a collection payment transaction (CPT) is received from a
            collection agency or not. Only applies to payment transactions for
            invoices in collection.
        acqRefNumber:
          type: string
          description: >-
            Acquirer Reference Number (ARN) is a unique number assigned to a
            card transaction by the acquirer (merchant's bank). It is used to
            track a specific transaction across banks (merchant bank, cardholder
            bank, etc.).
        authValidityInDays:
          type: integer
          description: >-
            Specifies the number of days the authorisation is valid when longer
            than the default (7 days). If not provided, the default
            authorisation validity period applies.
        exchangeRate:
          type: string
          description: Exchange rate used for the transaction.
        unit:
          type: string
          description: Unit of measure if available
        siteCountry:
          type: string
          description: Site country code
        transSrn:
          type: string
          description: Enfuce NDU Transaction SRN
        enfuceNduId:
          type: string
          description: Enfuce NDU transaction id
      title: listTransactionResponse
    lineItems:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/id'
        enfuceNduLineItemId:
          type: string
          description: >-
            Internal reference ID assigned to a parsed line item record from the
            NDU file.
        productCode:
          type: string
          description: Product code from external system
        productDescription:
          type: string
          description: Product description
        discountAmount:
          type: number
          description: Discount amount
        quantity:
          type: number
          description: Quantity of products
        unit:
          type: string
          description: Units of measure of products
        posProductSubGroup:
          type: string
          description: Product subgroup from POS system
        productGroupPosToFep:
          type: string
          description: Product group mapping from POS to FEP
        totalNetAmount:
          type: number
          description: Total net amount after discount, excluding VAT amount
        perUnitGrossAmount:
          type: number
          description: Gross amount per unit
        perUnitGrossDiscountAmount:
          type: number
          description: Gross discount amount per unit
        siteCountry:
          type: string
          description: Site country code
        transSrn:
          type: string
          description: Enfuce NDU Transaction SRN
        exchangeRate:
          type: string
          description: Exchange rate used for the line item.
        vatAmount:
          type: number
          description: The total VAT amount after discount
        vatRate:
          type: number
          description: The VAT percentage
      title: lineItems
    id:
      type: string
      description: Unique transaction id
    linkId:
      type: string
      description: Unique Root id for the transaction or Authorization
    transactionDate:
      type: string
      format: date-time
      example: '2019-01-28T00:00:00'
      description: >-
        The local date (and time) when the transaction was made. I.e. the
        date/time in the time zone in which the payment terminal/merchant is. In
        date-time format YYYY-MM-DDThh:mm:ss. Please note that the authorisation
        and clearing formats used by card schemes for do not support conveying
        the time zone in which the transaction has been done. The card scheme
        may also just include the date and no specific time. Enfuce relays the
        date and time as received from the card scheme.
    postingDate:
      type: string
      format: date-time
      example: '2019-01-28T00:00:00'
      description: >-
        The date and time when transaction was posted at Enfuce. In date-time
        format YYYY-MM-DDThh:mm:ss. Timezone is Enfuce system timezone, i.e.
        UTC.
    postingStatus:
      type: string
      enum:
        - POSTED
        - POSTED_DISPUTE
        - CLOSED
        - PENDING
        - REJECTED
      example: POSTED
      description: |
        Posting status values:
         * `POSTED` - Transaction/authorization has been successfully posted.
         * `POSTED_DISPUTE` - Transaction has been posted with the dispute contract.
         * `CLOSED` -  Authorization status after its matching transaction was successfully processed, or if the authorization is expired.
         * `PENDING` - Transaction/authorization is waiting for processing or being processed.
         * `REJECTED` - Transaction/authorization was rejected.
    responseCode:
      type: string
      example: 1A
      description: >
        After authorization, Enfuce generates a response code that guides the
        merchant how to proceed with the purchase. If approved (Response code 0
        or 10), the purchase is finalized. If declined (Response code is not 0
        or 10), the merchant must cancel the purchase or request an alternative
        payment method. Refer to our [service
        description](https://docs.enfuce.com/guides/the-essentials/global-processing/authorisation-and-authentication-of-payments#authorisation-response)
        for a complete list of response codes and their usage details.

        Response code values according to ISO-8583:1987:
           * Approved: 0 or 10
           * Declined: 3-96  and 1A, N0, N7
    transactionType:
      type: object
      properties:
        authorizationType:
          type: string
          description: Is item returned authorization or financial transaction.
          enum:
            - AUTH
            - FINANCIAL
        code:
          type: string
          description: Transaction code
        name:
          type: string
          description: Human-readable name of the transaction type
    acquiringInstitutionIdentificationCode:
      type: string
      description: Acquiring Institution Identification Code
    settlementAmount:
      description: Settlement amount summed up with markup fee (if markup fee is persent)
      type: object
      properties:
        amount:
          type: number
          example: 3.14
        currency:
          $ref: '#/components/schemas/currency'
    money:
      description: Amount including currency
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          type: number
          example: 3.14
        currency:
          $ref: '#/components/schemas/currency'
    currency:
      type: string
      description: A valid ISO 4217 currency code
      pattern: '[A-Z]{3}'
      example: EUR
    merchant:
      type: object
      properties:
        country:
          $ref: '#/components/schemas/country'
        city:
          type: string
          example: Helsinki
        name:
          type: string
          example: Airline of the world
        mcc:
          type: string
          example: 3016
    text:
      type: string
      maxLength: 255
      description: Represents value of `text` field provided during transaction posting
    bankAccountType:
      type: string
      enum:
        - BBAN
        - IBAN
        - PLUSGIRO
        - BANKGIRO
      description: The type of bank account
    createdAt:
      type: string
      format: date-time
      example: '2019-01-28T00:00:00'
      description: >-
        The date and time in YYYY-MM-DDThh:mm:ss format when transaction was
        created. Timezone is Enfuce system timezone, i.e. UTC.
    country:
      type: string
      description: >-
        A valid ISO 3166-1 alpha-3 country code, except for QZZ (UNMIK in
        Kosovo) and ROM for Romania.
      pattern: '[A-Z]{3}'
      example: FIN

````